##
## ManageSieve service and Sieve interpreter settings.
##

# PLEASE DON'T EDIT ANYTHING IN THIS FILE! ANY CHANGES WILL BE LOST ON UPGRADE.

# See example configuration files:
#   /usr/share/doc/dovecot/example-config/conf.d/20-managesieve.conf
#   /usr/share/doc/dovecot/example-config/conf.d/90-sieve.conf

protocols {
  sieve = yes
}

protocol sieve {
}

protocol lda {
  mail_plugins {
    sieve = yes
  }
}

sieve_script plesk {
  path = ~/sieve
  active_path = ~/.dovecot.sieve
}

# ToDo. Horde webmail (Ingo sieve backend) is not aware of RFC 'imap4flags' and
# 'enotify' extensions. Don't know what we going to do with it
# I've checked 'notify' and 'imapflags' and dovecot doesn't fails on start,
# however it doesn't on any random string actually. So likely it just ignores unknown extensions.
sieve_extensions {
  enotify = yes
  imap4flags = yes
}

# Log format compatible with Plesk statistics collector.
managesieve_logout_format = "rcvd=%{input}, sent=%{output}"

# vim:ts=2 sts=2 sw=2 et:
